﻿$ErrorActionPreference = 'Stop'

#https://download.documentfoundation.org verteilt nur auf mirrors, muehsam mit proxy
$mirror = 'https://mirror.unlogisch.ch/tdf'

$packageArgs = @{
  packageName            = 'libreoffice-fresh'
  fileType               = 'msi'
  version 		 = '25.2.1'
  url                    = $mirror + '/libreoffice/stable/' + $version + '/win/x86/LibreOffice_' + $version + '_Win_x86.msi'
  url64bit               = $mirror + '/libreoffice/stable/' + $version + '/win/x86_64/LibreOffice_' + $version + '_Win_x86-64.msi'
  checksum               = 'e628733c4ec8d30284abea7c14920ed2a7e33e93'
  checksum64             = 'ab575fc73eeb9d2e2fe5bf0bd7e78e3abc71132a'
  checksumType           = 'sha1'
  checksumType64         = 'sha1'
  silentArgs             = '/passive /norestart'
  validExitCodes         = @(0,3010)
  softwareName           = 'LibreOffice*'
}

$proc = ("soffice","soffice.bin")

foreach ($p in $proc) {
  if (Get-Process $p -ea SilentlyContinue) {
    Write-Host "killing $p..."
    Stop-Process -processname $p -Force -ea SilentlyContinue
  }
}

Install-ChocolateyPackage @packageArgs
